Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class XSLNode

    public class XSLNode
    extends org.eclipse.wst.xsl.core.model.XSLModelObject

A node in the XSL namespace.

## Field Summary

`public static short` | `ATTRIBUTE_NODE` A constant for the attribute node (= <code>org.w3c.dom.Node.ATTRIBUTE_NODE</code>)
`package-private int` | `columnNumber`
`public static short` | `ELEMENT_NODE` A constant for the element node (= <code>org.w3c.dom.Node.ELEMENT_NODE</code>)
`package-private int` | `lineNumber`

## Constructor Summary

`XSLNode(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet , short type)`

## Method Summary

`public int` | `getColumnNumber()` Set the column number where this node occurs in the XSL file.
`public int` | `getLength()` Get the length of this node.
`public int` | `getLineNumber()` Set the line number where this node occurs in the XSL file.
`public java.lang.String` | `getName()`
`public short` | `getNodeType()` Get the type of node.
`public int` | `getOffset()` Get the document offset where this node occurs.
`public org.eclipse.wst.xsl.core.model.Stylesheet` | `getStylesheet()` Get the stylesheet that this belongs to.
`public void` | `setColumnNumber(int columnNumber)` Set the columns number where this node occurs in the XSL file.
`public void` | `setLength(int length)` Set the length of this node.
`public void` | `setLineNumber(int lineNumber)` Set the line number where this node occurs in the XSL file.
`public void` | `setName(java.lang.String name)`
`public void` | `setOffset(int offset)` Set the document offset where this node occurs.
`public java.lang.String` | `toString()`

## Field Detail

## ATTRIBUTE_NODE

`public static short ATTRIBUTE_NODE`

A constant for the attribute node (= `org.w3c.dom.Node.ATTRIBUTE_NODE`)

## columnNumber

`package-private int columnNumber`

## ELEMENT_NODE

`public static short ELEMENT_NODE`

A constant for the element node (= `org.w3c.dom.Node.ELEMENT_NODE`)

## lineNumber

`package-private int lineNumber`

## Constructor Detail

## XSLNode

`public XSLNode(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet , short type)`

Create a new instance of this.

## Methods Detail

## getColumnNumber

`public int getColumnNumber()`

Set the column number where this node occurs in the XSL file.

### Returns

`int` - the column number where this node occurs in the XSL file.

## getLength

`public int getLength()`

Get the length of this node.

### Returns

`int` - the node length

## getLineNumber

`public int getLineNumber()`

Set the line number where this node occurs in the XSL file.

### Returns

`int` - the line number where this node occurs in the XSL file.

## getName

`public java.lang.String getName()`

### Returns

`java.lang.String`

## getNodeType

`public short getNodeType()`

Get the type of node.

### Returns

`short` - one of `ELEMENT_NODE` or `ATTRIBUTE_NODE`

## getOffset

`public int getOffset()`

Get the document offset where this node occurs.

### Returns

`int` - the document offset

## getStylesheet

`public org.eclipse.wst.xsl.core.model.Stylesheet getStylesheet()`

Get the stylesheet that this belongs to.

### Returns

`org.eclipse.wst.xsl.core.model.Stylesheet` - the stylesheet

## setColumnNumber

`public void setColumnNumber(int columnNumber)`

Set the columns number where this node occurs in the XSL file.

### Parameters

`columnNumber` - the column number

## setLength

`public void setLength(int length)`

Set the length of this node.

### Parameters

`length` - the node length

## setLineNumber

`public void setLineNumber(int lineNumber)`

Set the line number where this node occurs in the XSL file.

### Parameters

`lineNumber` - the line number

## setName

`public void setName(java.lang.String name)`

### Parameters

`name`

## setOffset

`public void setOffset(int offset)`

Set the document offset where this node occurs.

### Parameters

`offset` - the document offset

## toString

`public java.lang.String toString()`

### Returns

`java.lang.String`